@import "./lib/styles/main";

.kislov-card--wrapper {
  position: relative;
  padding: 15px;

  &.col-1 {
    width: 100%
  }

  &.col-2 {
    width: 50%;
  }

  &.col-3 {
    width: 33.33%;
  }

  &.col-4 {
    width: 25%;
  }

  &.col-5 {
    width: 20%;
  }

  .kislov-card {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: auto;
    border-radius: 25px;
    background: #fff;
    box-shadow: 0px 0px 30px rgba(0, 0, 0, 0.05);
    transition: all 0.35s ease-in-out;

    &.fixed-height {
      height: 486px;
    }

    &.clickable {
      cursor: pointer;

      &:hover {
        box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.2);
      }
    }

    &--image {
      display: flex;
      align-items: center;
      justify-content: center;
      width: 100%;
      height: 185px;
      overflow: hidden;
      border-top-left-radius: 25px;
      border-top-right-radius: 25px;
      //background: $gray;
      background: linear-gradient(rgba(70, 3, 37, 0.35), rgba(195, 55, 100, 0.8));
      color: $white;

      img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        object-position: center;
      }

      &.opacity {
        img {
          opacity: 0.65;
        }
      }
    }

    &--text {
      padding: 15px 25px 0;
      height: auto;
      overflow: hidden;
      flex: 1;
      &.extra-padding {
        padding-top: 25px;
      }

      &--title {
        position: relative;
        font-size: $font-body-size;
        font-weight: bold;
        text-align: left;
        color: $gray-dark;
        white-space: nowrap;
        overflow-x: clip;
        text-overflow: ellipsis;

        &--tooltip {
          position: absolute;
          top: 100%;
          left: -100%;
          opacity: 0;
          transition: opacity 0.25s ease-in-out;
          border: 1px solid $gray;
          border-radius: 10px;
          color: $gray-dark;
          padding: 10px;
          white-space: normal;
          background: rgba(255, 255, 255, 0.9);
          z-index: 100;
          width: 95%;
          font-size: $font-x-small-size;
          text-align: center;
          font-weight: normal;
          box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.2);
          cursor: default;
        }

        &:hover .kislov-card--text--title--tooltip {
          left: 50%;
          transform: translateX(-50%);
          opacity: 1;
        }
      }

      &--content {
        display: -webkit-box;
        -webkit-box-orient: vertical;
        font-weight: normal;
        font-size: $font-body-size;
        line-height: 24px;
        text-align: left;
        color: $gray;
        overflow: hidden;
        margin: 10px 0;
        -webkit-line-clamp: var(--clampLines);
      }
      .kislov-tag {
        margin: 5px 0;
      }
    }

    &--actions {
      display: flex;
      align-items: center;
      justify-content: flex-end;
      padding: 20px 20px;
    }
  }
}